path: /build/build/mosquitto-app-misc-2.0.15.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="srv ssl tcpd websockets" emerge app-misc/mosquitto -pv -t && \
    USE="srv ssl tcpd websockets" emerge -j ${JOBS} --nodeps app-misc/mosquitto
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/mosquitto && luet-portage --dir /pkgdir/mosquitto
    app-misc/mosquitto && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:16057695f7a9fbd0db4ca5273926dcc942f872702eb91c4ebbffa249bd036e25
  package:
    name: mosquitto
    version: 2.0.15
    category: app-misc
    use_flags:
    - srv
    - ssl
    - tcpd
    - websockets
    requires:
    - name: libwebsockets
      version: '>=0'
      category: net-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: An Open Source MQTT v3 Broker
    uri:
    - https://mosquitto.org/ https://github.com/eclipse/mosquitto
    license: EPL-1.0
    buildtimestamp: 2023-09-16 07:38:05.655594823 +0000 UTC m=+89.967924231
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: dev-libs/cJSON:= srv? ( net-dns/c-ares:= ) ssl? ( dev-libs/openssl:0=
        ) tcpd? ( sys-apps/tcp-wrappers ) websockets? ( net-libs/libwebsockets[lejp]
        ) sys-apps/shadow
      IUSE: bridge examples +persistence +srv ssl tcpd websockets systemd
      RDEPEND: dev-libs/cJSON:= srv? ( net-dns/c-ares:= ) ssl? ( dev-libs/openssl:0=
        ) tcpd? ( sys-apps/tcp-wrappers ) websockets? ( net-libs/libwebsockets[lejp]
        )
      emerge.packages: app-misc/mosquitto
      kit: geaaru-kit
      original.package.name: app-misc/mosquitto
      original.package.slot: "0"
      original.package.version: 2.0.15
    treedir: /build/packages
  package_dir: /pkgdir/mosquitto
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9949c06c20c776b3ea5609b7eeaf179d7168884663d9e9c5e906f9f8b55657e4
compressiontype: zstd
files:
- etc/init.d/mosquitto
- etc/mosquitto/aclfile.example
- etc/mosquitto/mosquitto.conf
- etc/mosquitto/mosquitto.conf.example
- etc/mosquitto/pskfile.example
- etc/mosquitto/pwfile.example
- usr/bin/mosquitto_ctrl
- usr/bin/mosquitto_passwd
- usr/bin/mosquitto_pub
- usr/bin/mosquitto_rr
- usr/bin/mosquitto_sub
- usr/include/mosquitto.h
- usr/include/mosquitto_broker.h
- usr/include/mosquitto_plugin.h
- usr/include/mosquittopp.h
- usr/include/mqtt_protocol.h
- usr/lib64/libmosquitto.so
- usr/lib64/libmosquitto.so.1
- usr/lib64/libmosquittopp.so
- usr/lib64/libmosquittopp.so.1
- usr/lib64/mosquitto_dynamic_security.so
- usr/lib64/pkgconfig/libmosquitto.pc
- usr/lib64/pkgconfig/libmosquittopp.pc
- usr/sbin/mosquitto
- usr/share/doc/mosquitto-2.0.15/CONTRIBUTING.md.bz2
- usr/share/doc/mosquitto-2.0.15/ChangeLog.txt.bz2
- usr/share/doc/mosquitto-2.0.15/README.md.bz2
- usr/share/man/man1/mosquitto_ctrl.1.bz2
- usr/share/man/man1/mosquitto_ctrl_dynsec.1.bz2
- usr/share/man/man1/mosquitto_passwd.1.bz2
- usr/share/man/man1/mosquitto_pub.1.bz2
- usr/share/man/man1/mosquitto_rr.1.bz2
- usr/share/man/man1/mosquitto_sub.1.bz2
- usr/share/man/man3/libmosquitto.3.bz2
- usr/share/man/man5/mosquitto.conf.5.bz2
- usr/share/man/man7/mosquitto-tls.7.bz2
- usr/share/man/man7/mqtt.7.bz2
- usr/share/man/man8/mosquitto.8.bz2
- usr/share/mosquitto/mosquitto-copy.sh
- var/db/pkg/app-misc/mosquitto-2.0.15/BDEPEND
- var/db/pkg/app-misc/mosquitto-2.0.15/BUILD_TIME
- var/db/pkg/app-misc/mosquitto-2.0.15/CATEGORY
- var/db/pkg/app-misc/mosquitto-2.0.15/CBUILD
- var/db/pkg/app-misc/mosquitto-2.0.15/CFLAGS
- var/db/pkg/app-misc/mosquitto-2.0.15/CHOST
- var/db/pkg/app-misc/mosquitto-2.0.15/CONTENTS
- var/db/pkg/app-misc/mosquitto-2.0.15/COUNTER
- var/db/pkg/app-misc/mosquitto-2.0.15/CXXFLAGS
- var/db/pkg/app-misc/mosquitto-2.0.15/DEFINED_PHASES
- var/db/pkg/app-misc/mosquitto-2.0.15/DEPEND
- var/db/pkg/app-misc/mosquitto-2.0.15/DESCRIPTION
- var/db/pkg/app-misc/mosquitto-2.0.15/EAPI
- var/db/pkg/app-misc/mosquitto-2.0.15/FEATURES
- var/db/pkg/app-misc/mosquitto-2.0.15/HOMEPAGE
- var/db/pkg/app-misc/mosquitto-2.0.15/INHERITED
- var/db/pkg/app-misc/mosquitto-2.0.15/IUSE
- var/db/pkg/app-misc/mosquitto-2.0.15/IUSE_EFFECTIVE
- var/db/pkg/app-misc/mosquitto-2.0.15/KEYWORDS
- var/db/pkg/app-misc/mosquitto-2.0.15/LDFLAGS
- var/db/pkg/app-misc/mosquitto-2.0.15/LICENSE
- var/db/pkg/app-misc/mosquitto-2.0.15/NEEDED
- var/db/pkg/app-misc/mosquitto-2.0.15/PF
- var/db/pkg/app-misc/mosquitto-2.0.15/PROVIDES
- var/db/pkg/app-misc/mosquitto-2.0.15/RDEPEND
- var/db/pkg/app-misc/mosquitto-2.0.15/REQUIRES
- var/db/pkg/app-misc/mosquitto-2.0.15/SIZE
- var/db/pkg/app-misc/mosquitto-2.0.15/SLOT
- var/db/pkg/app-misc/mosquitto-2.0.15/USE
- var/db/pkg/app-misc/mosquitto-2.0.15/environment.bz2
- var/db/pkg/app-misc/mosquitto-2.0.15/mosquitto-2.0.15.ebuild
- var/db/pkg/app-misc/mosquitto-2.0.15/repository
- var/lib/mosquitto/.keep_app-misc_mosquitto-0
package_cacheimage: ""
runtime:
  name: mosquitto
  version: 2.0.15
  category: app-misc
  use_flags:
  - srv
  - ssl
  - tcpd
  - websockets
  requires:
  - name: cJSON
    version: '>=0'
    category: dev-libs
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: c-ares
    version: '>=0'
    category: net-dns
  - name: libwebsockets
    version: '>=0'
    category: net-libs
  - name: tcp-wrappers
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: An Open Source MQTT v3 Broker
  uri:
  - https://mosquitto.org/ https://github.com/eclipse/mosquitto
  license: EPL-1.0
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: dev-libs/cJSON:= srv? ( net-dns/c-ares:= ) ssl? ( dev-libs/openssl:0=
      ) tcpd? ( sys-apps/tcp-wrappers ) websockets? ( net-libs/libwebsockets[lejp]
      ) sys-apps/shadow
    IUSE: bridge examples +persistence +srv ssl tcpd websockets systemd
    RDEPEND: dev-libs/cJSON:= srv? ( net-dns/c-ares:= ) ssl? ( dev-libs/openssl:0=
      ) tcpd? ( sys-apps/tcp-wrappers ) websockets? ( net-libs/libwebsockets[lejp]
      )
    emerge.packages: app-misc/mosquitto
    kit: geaaru-kit
    original.package.name: app-misc/mosquitto
    original.package.slot: "0"
    original.package.version: 2.0.15
